Skip to content

Changelog gnustep-dl2 (0.12.0-15.1build2)

2018

gnustep-dl2 (0.12.0-15.1build2) bionic; urgency=medium

   * No-change rebuild for gnustep-gui soname change.

2017

gnustep-dl2 (0.12.0-15.1build1) bionic; urgency=medium

   * No-change rebuild for gnustep-base soname change.

gnustep-dl2 (0.12.0-15.1) unstable; urgency=medium

   * Non-maintainer upload.
   * d/gnustep-dl2-postgresql-adaptor.links: correct link to make it
     possible that update replaces directory with link. Closes: #838704
   * Override lintian errors
        E: gnustep-dl2-sqlite-adaptor: arch-dependent-file-in-usr-share
        E: gnustep-dl2-postgresql-adaptor: arch-dependent-file-in-usr-share
     In both cases the files in question are just a plist and a tif file
     that don't appear to be arch dependent.

2016

gnustep-dl2 (0.12.0-15) unstable; urgency=medium

   * debian/control: build depends on latest libgnustep-gui-dev
   * Add symlink_to_dir in maintainer scripts (Closes: #825618)

gnustep-dl2 (0.12.0-14) unstable; urgency=medium

   * Team upload: in harmony with Frederico,
     + move Debian GNUstep maintainers to Maintainer field,
     + move Frederico Gimenez Nieto to Uploaders field,
     + Add myself as new Co-Maintainer.
   * Bump Standards-Version to 3.9.8.
   * Bump debhelper compat to 9.
   * Update gnustep Build-Depends (Closes: #749745).
   * Remove not needed anymore {gnustep:Depends} in debian/control file
   * Rewrite debian/rules file:
     + use --with autotools-dev (add build dependency to autotool-dev),
     + don't hardcode build flags, use dpkg-buildflags instead,
     + don't build dbgsym packages,
     + Fix *.desktop files permission,
     + Don't add ldconfig trigger for adaptor packages.
   * According to debian policy 9.1.1 and FHS,
     move architecture independent dirs to /usr/share/ subdirs,
     and headers files to /usr/include/ subdirs:
     + update a debian/*.install files,
     + use dh_symlink and dpkg-maintainer-script (Closes: #771755)
       to create symlinks from old to new locations:
       provide new debian/*.links and debian/*.maintscript files,
     + remove no more needed debian/gnustep-dl2-postgresql-adaptor.dirs and
       debian/gnustep-dl2.dirs files, and update
       debian/gnustep-dl2-sqlite-adaptor.dirs file.
   * Use dh_installexamples to install examples:
     provide a new debian/gnustep-dl2.examples file.
   * Update debian/docs file: install NEWS and README files too.
   * Provide a debian/source/options file with a dpkg-source argument to ignore
     DBModeler.xpm file generated by imagemagick.
   * Provide new debian/*.lintian-overrides files.
   * Update Vcs-* fields in debian/control file.
   * Add gnustep-dl2.symbols and lignustep-dl2-0d.symbols files.
   * Update watch file to version 4 and add debian/upstream/signing-key.asc.
   * Provide a new debian/gnustep-dl2.info file.
   * Reformat debian/copyright file.

2014

gnustep-dl2 (0.12.0-13) unstable; urgency=medium

   * Team upload.
   * debian/control (Build-Depends): Replace gorm.app with libgorm-dev
     (Closes: #759832).

gnustep-dl2 (0.12.0-12) unstable; urgency=low

   [Yavor Doganov]
   * debian/patches/581934.patch: fixes to prevent NSInvalidArgumentException
     (closes: #753483)
   * debian/patches/dbmodeler.patch: prevents crashes when opening a model file
   [Federico Gimenez Nieto]
   * debian/gnustep-dl2.install: reverted changes to install GDL2 palette
   * debian/rules: reverted changes to generate GDL2 palette

gnustep-dl2 (0.12.0-11) unstable; urgency=low

   * debian/patches/749742.patch: changes to prevent errors when generating html
     from texinfo files with the new version of gnustep-make, patch suggested by
     Yavor Doganov <yavor@gnu.org> (closes: #749742)
   * debian/copyright: updated date
   * debian/control:
     + bumped Standards-Version: 3.9.5
     + removed texi2html as build dependency (gnustep-make now uses makeinfo for
       generating html files from texi files, and it is provided by the already
       included texinfo build dependency)
   * debian/gnustep-dl2.install: readded GDL2intro.info to install, with updated
       html files path
   * debian/gnustep-dl2.doc-base: updated path to GDL2Intro html files
   * debian/gnustep-dl2.menu: removed, the only entry, DBModeler, is now disabled
     since #705602

2013

gnustep-dl2 (0.12.0-10) unstable; urgency=low

   * debian/gnustep-dl2.install: exlude removed GDL2intro.info from install
     (closes: #707514)
   * debian/control: bumped Standards-Version: 3.9.4
   * debian/copyright: updated date

gnustep-dl2 (0.12.0-9+nmu1) unstable; urgency=medium

   * Non-maintainer upload.
   * Exclude broken eoutil and DBModeler tools (closes: #705602).

2012

gnustep-dl2 (0.12.0-9) unstable; urgency=low

   * gcc-4.7.patch by Yavor Doganov <yavor@gnu.org> (Closes: #667871)
   * debian/control: bumped Standards-Version: 3.9.3
   * debian/rules: added "-z relro" to LDFLAGS to prevent hardening-no-relro
   * debian/copyright: updated date

2011

gnustep-dl2 (0.12.0-8) unstable; urgency=low

   * debian/gnustep-dl2.install: Removed empty GDL2 palette generation
     (closes: #645933)
   * debian/patches/format-security.patch: modifications to prevent
     FTBFS with -Werror=format-security compiler option,
     thanks Ilya Barygin <randomaction@ubuntu.com> (closes: #647081)
   * debian/preinst: Removed GDL2 palette resources related move commands
   * debian/rules:
     + Removed GDL2 palette resources related move commands
     + Removed relink for GDL2 palette

gnustep-dl2 (0.12.0-7) unstable; urgency=low

   * debian/patches/629204.patch: modifications due to Traditional to Modern
     GNU Objective-C runtime API (closes: #629204)
   * debian/gbp.conf: configuration for git-buildpackage tool
   * debian/control:
     + Bumped Standards-Version to 3.9.2 (no changes needed)
     + Added Vcs-Git and Vcs-Browser

gnustep-dl2 (0.12.0-6) unstable; urgency=low

   * Removed references to the now missing GNUsteBase/GSCategories.h
     (closes: #618181)
   * debian/copyright: updated year

2010

gnustep-dl2 (0.12.0-5) unstable; urgency=low

   * debian/control:
       -stated that libgnustep-dl2-0d conflicts libgnustep-dl2-0
        (closes: #594443)
       -added versioned Replaces relationship for all the packages in which
       gnustep-dl2 was split with 0.12 version

gnustep-dl2 (0.12.0-4) unstable; urgency=low

   [ Yavor Doganov ]
   * Added patch EOControl/GNUmakefile (EOControl_INTERFACE_VERSION): Define
     as Debian-specific due to the ABI break. (closes: #581934)
   * debian/control: Renamed libgnustep-dl2-0 to libgnustep-dl2-0d
   * debian/libgnustep-dl2-0.install renamed to debian/libgnustep-dl2-0d.install
     and with the EOControl entry adjusted for soname change.
   * debian/rules: update references of libgnustep-dl2-0 to libgnustep-dl2-0d
 
   [Federico Gimenez Nieto]
   * debian/control: Bumped standards version (3.9.1)

gnustep-dl2 (0.12.0-3) unstable; urgency=low

   * debian/rules: ADDITIONAL_OBJCFLAGS defined to work with
     gnustep-make/2.4.x (Closes: #583087) Thanks Yavor Doganov
   * debian/control: made first paragraph of long description a proper
     sentence for gnustep-dl2-sqlite-adaptor and gnustep-dl2-postgresql-adaptor
     (Closes: #579673)
   * Added patch for fixing documentation generation (Thanks Yavor Doganov)

gnustep-dl2 (0.12.0-2) unstable; urgency=low

   [ Yavor Doganov ]
   * debian/rules (binary-arch): Avoid circular dependencies between the
     adaptor packages and the library (Closes: #574949).
   * debian/control
         (libgnustep-dl2-0) <Depends>: Tighten depends on the
         adaptors.  Fix typo (Closes: #579002).
         (libgnustep-dl2-dev) <Depends>: Added dependency on
         libgnustep-dl2-0 (Closes: #579003)

gnustep-dl2 (0.12.0-1) unstable; urgency=low

   * New maintainer (Closes: #461896)
   * New upstream version
   * Fixed "FTBFS: ../EOControl/EOQualifier.h:240: error: cannot find
     interface declaration for NSArray", patch by
     Gregory John Casamento  <greg.casamento@gmail.com>
   * Added source format 3.0 (quilt)
   * Added debian/watch
   * debian/control:
     + Bumped Standards version (3.8.3)
     + Modified Section from 'libs' to 'gnustep'
     + Removed version dependency on libgnustep-gui-dev
       (0.14 is in Lenny)
     + Added missing dependency on librenaissance0-dev
     + Removed build dependency on gnustep-make (pulled from the
       dependency chain) and added ${gnustep:Depends} to Depends as a safety
       measure (since there is a call to gsdh_gnustep )
       Thanks Yavor Doganov <yagor@gnu.org>
     + Added missing ${misc:Depends} dependency to gnustep-dl2
     + Added package entries for the multiple binary packages (gnustep-dl2,
       libgnustep-dl2-0, libgnustep-dl2-dev, gnustep-dl2-postgresql-adaptor,
       gnustep-dl2-sqlite-adaptor)
     + Added Debian GNUstep maintainers as uploaders
     + Added libsqlite3-dev build dependency (thanks Yavor)
     + Added texi2html build dependency
     + Upgraded versioned build dependency on debhelper to 7
     + As gnustep-dl2 is shipping an info file, added dependency on
       dpkg (>= 1.15.4) | install-info
     + Added build dependency on imagemagick to generate DBModeler icon
   * debian/compat: upgraded to 7 to let dh_install to look for files in
       debian/tmp
   * debian/copyright:
     + Added maintainer information
     + Update License of DBModeler to GPL-3 and everithing except DBModeler
       to LGPL-3; updated also license links
     + Added copyright notice for the GDL2Intro HTML manual
   * debian/rules:
     + Exported GNUSTEP_MAKEFILES and replaced gs_make by $(MAKE)
     + Added code to define flags for optimized builds, preventing a GNUstep
       make bug
     + Added code to move the Resources directory to /usr/share/GNUstep
       and add a symlynk if the installation follows the FHS
     + Added code to remove files left in the build proccess
     + Added LDFLAGS to prevent dpkg-shlibdeps and a patch to avoid unresolved
       symbols (thanks Yavor)
     + Modified the build directory to debian/build to ease the package split
       in multiple binaries
     + Removed PostgreSQLAdaptor headers as adivised by upstream (David Ayers)
     + Added commands to ship libEOModeler as private library (thanks Yavor)
     + Added doc=yes to the build and install make commands
     + Added code to clean the documentation files created to the clean target
     + Replaced dh_clean -k by dh_prep
     + Added code to remove gsdoc files generated for libgnustep-dl2-dev
     + Added code to create, install and remove a xpm icon for DBModeler
     + Added dh_installexamples call to install the Examples/ directory
   * debian/DBModeler.desktop:
     + Upgraded Version field (0.94->1.0, the version of the spec)
     + Added icon reference
   * debian/menu: moved to gnustep-dl2.menu and added xpm icon reference
   * Added preinst script to remove Resources dir on updates
   * Added *.install for each of the binary packages
   * Added shlibs.libgnustep-dl2-0
   * Moved menu to gnustep-dl2.menu, docs to gnustep-dl2.docs
   * Removed debian/dirs
   * Added generated documentation files to gnustep-dl2.docs and created
     libgnustep-dl2-dev.docs
   * Added gnustep-gl2.doc-base and libgnustep-gl2-dev.doc-base
   * Added patch to add @direntry to GDL2Intro.texi
   * Added manpages for DBModeler and eoutil; added debian/gnustep-dl2.manpages
   * gdlgsdoc binary not being installed, it produces segfault (bug forwarded
     upstream https://savannah.gnu.org/bugs/index.php?29191)

gnustep-dl2 (0.11.0-1.2) unstable; urgency=low

   * Non-maintainer upload.
   * Fix "FTBFS: ../EOControl/EOQualifier.h:240: error: cannot find
     interface declaration for SArrayâ Applied patch by
     Yavor Doganov (Closes: #559884)

2008

gnustep-dl2 (0.11.0-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Fix building against new GNUstep.  (Closes: #489694)

2007

gnustep-dl2 (0.11.0-1) unstable; urgency=low

   * New upstream version.
   * GNUstep transition. (Closes: #449141)
     + Updated debian/rules.
   * Added a desktop file.

gnustep-dl2 (0.10.1-2) unstable; urgency=low

   * Update to Debhelper compatibility level 5.
   * Replaced Brent from Uploaders with GNUstep team.
   * Dropped "| postgresql-dev" from build-depends. (Closes: #429970)
   * Fixed indenting of debian/copyright.

2006

gnustep-dl2 (0.10.1-1) unstable; urgency=low

   * New maintainer.
   * New upstream release. (Closes: #383414)
   * Patch for EOAccess/EOModel.m to fix file permission.

gnustep-dl2 (0.9.1-2.2) unstable; urgency=low

   * NMU.
   * Updated run dependency (libgnustep-base1.11).

gnustep-dl2 (0.9.1-2.1) unstable; urgency=low

   * NMU.
   * Updated build dependency (libgnustep-base1.11-dev). Closes:
     #360547.
   * Fixed "FTBFS (amd64/gcc-4.0): static declaration of
     'EOMoreThanOneException' follows non-static declaration".
     Patch by Anthony W. Juckel <awj@juckel.net>. Closes: #293025.

2004

gnustep-dl2 (0.9.1-2) unstable; urgency=low

   * Correct the build again.

gnustep-dl2 (0.9.1-1) unstable; urgency=low

   * Recompile for libgnustep-base1.10-dev.

gnustep-dl2 (0.9.1-0.1) unstable; urgency=medium

   * NMU.
   * New upstream version.
   * Fix gnustep-base build dependency.

gnustep-dl2 (0.9.0-6) unstable; urgency=low

   * More shell corrections (bashisms.)  Thanks to Sebastian Muszynski
     <do2ksm@linkt.de> for his patch.

gnustep-dl2 (0.9.0-5) unstable; urgency=low

   * Correct shell sourcing (masked by my local environment).
     (Closes:#244142)

gnustep-dl2 (0.9.0-4) unstable; urgency=low

   * Clean up some build rules.
   * Correct typo in shlib handling.

gnustep-dl2 (0.9.0-3) unstable; urgency=low

   * Add build-depends on gnustep-make.  (Closes:#239731)

gnustep-dl2 (0.9.0-2) unstable; urgency=low

   * Correct FTBFS bug.  Many thanks to Sebastian Muszynski <do2ksm@linkt.de>
     for the patch (Closes:#239731)

gnustep-dl2 (0.9.0-1) unstable; urgency=low

   * Initial Release.